Cupti: CUpti_ActivityGlobalAccess2 Struct Reference

# CUpti_ActivityGlobalAccess2 Struct Reference
[CUPTI Activity API]

The activity record for source-level global access. (deprecated in CUDA 9.0). More...

## Data Fields
uint32_t | correlationId
uint32_t | executed
CUpti_ActivityFlag | flags
uint32_t | functionId
CUpti_ActivityKind | kind
uint64_t | l2_transactions
uint32_t | pad
uint32_t | pcOffset
uint32_t | sourceLocatorId
uint64_t | theoreticalL2Transactions
uint64_t | threadsExecuted

## Detailed Description

This activity records the locations of the global accesses in the source (CUPTI_ACTIVITY_KIND_GLOBAL_ACCESS). Global access activities are now reported using the CUpti_ActivityGlobalAccess3 activity record.

## Field Documentation

uint32_t CUpti_ActivityGlobalAccess2::correlationId

The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityGlobalAccess2::executed

The number of times this instruction was executed per warp. It will be incremented when at least one of thread among warp is active with predicate and condition code evaluating to true.

CUpti_ActivityFlag CUpti_ActivityGlobalAccess2::flags

The properties of this global access.

uint32_t CUpti_ActivityGlobalAccess2::functionId

Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityGlobalAccess2::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_GLOBAL_ACCESS.

uint64_t CUpti_ActivityGlobalAccess2::l2_transactions

The total number of 32 bytes transactions to L2 cache generated by this access

uint32_t CUpti_ActivityGlobalAccess2::pad

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityGlobalAccess2::pcOffset

The pc offset for the access.

uint32_t CUpti_ActivityGlobalAccess2::sourceLocatorId

The ID for source locator.

uint64_t CUpti_ActivityGlobalAccess2::theoreticalL2Transactions

The minimum number of L2 transactions possible based on the access pattern.

uint64_t CUpti_ActivityGlobalAccess2::threadsExecuted

This increments each time when this instruction is executed by number of threads that executed this instruction with predicate and condition code evaluating to true.